Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.util
Class ArraySpec

    java.lang.Object
      org.netlib.util.ArraySpec

    public class ArraySpec

extends java.lang.Object

This class represents array arguments to I/O calls. For example, if you pass an array to WRITE() in Fortran and the format specifies to print multiple values, they'll be pulled from the array as appropriate. Here, we just pull all the array elements into the I/O vector.

This file is part of the Fortran-to-Java (f2j) system, developed at the University of Tennessee.

Author:
  Keith Seymour (seymour@cs.utk.edu)

Constructor Summary
`ArraySpec(double[] arr, int offset, int len)` Create a new ArraySpec for a double precision array.
`ArraySpec(float[] arr, int offset, int len)` Create a new ArraySpec for a float array.
`ArraySpec(int[] arr, int offset, int len)` Create a new ArraySpec for an integer array.
`ArraySpec(java.lang.String str)` Create a new ArraySpec for a String (not array).
`ArraySpec(java.lang.String[] arr, int offset, int len)` Create a new ArraySpec for a String array.

Method Summary
`java.util.Vector` | `get_vec()` Gets the I/O vector for this ArraySpec.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ArraySpec

    public ArraySpec(int[] arr,
                     int offset,
                     int len)

  Create a new ArraySpec for an integer array.

  Parameters:
    `arr` - The array to be used in the I/O call
    `offset` - The offset into the array (i.e. the start point)
    `len` - The number of elements to copy from the array to the I/O vector.

### ArraySpec

    public ArraySpec(double[] arr,
                     int offset,
                     int len)

  Create a new ArraySpec for a double precision array.

  Parameters:
    `arr` - The array to be used in the I/O call
    `offset` - The offset into the array (i.e. the start point)
    `len` - The number of elements to copy from the array to the I/O vector.

### ArraySpec

    public ArraySpec(float[] arr,
                     int offset,
                     int len)

  Create a new ArraySpec for a float array.

  Parameters:
    `arr` - The array to be used in the I/O call
    `offset` - The offset into the array (i.e. the start point)
    `len` - The number of elements to copy from the array to the I/O vector.

### ArraySpec

    public ArraySpec(java.lang.String[] arr,
                     int offset,
                     int len)

  Create a new ArraySpec for a String array.

  Parameters:
    `arr` - The array to be used in the I/O call
    `offset` - The offset into the array (i.e. the start point)
    `len` - The number of elements to copy from the array to the I/O vector.

### ArraySpec

    public ArraySpec(java.lang.String str)

  Create a new ArraySpec for a String (not array). Here the String is not an array, but we want to pull out the characters individually.

  Parameters:
    `arr` - The string to be used in the I/O call

Method Detail

### get_vec

    public java.util.Vector get_vec()

  Gets the I/O vector for this ArraySpec.

  Returns:
    the Vector representation of the ArraySpec.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD